Subject: [PATCH] ARM: ux500: enable the crypto and hash on all dbx500

From: [email-masked] (Lee Jones)
Date: Fri, 24 May 2013 13:53:14 +0100

On Fri, 24 May 2013, Linus Walleij wrote:

> On Fri, May 24, 2013 at 10:27 AM, Lee Jones <[email-masked]> wrote:
> > On Fri, 24 May 2013, Linus Walleij wrote:
> >> From: Linus Walleij <[email-masked]>
> >>
> >> Commits:
> >> "ARM: ux500: Add Device Tree nodes for the ux500 Crypt device"
> >> "ARM: ux500: Add Device Tree nodes for the ux500 Hash device"
> >>
> >> Added the crypto and hash devices conditionally, i.e. so as to
> >> be turned on per-board by setting an "status" property on the
> >> device from "disabled" to "okay" on each device.
> >>
> >> This is wrong since this is an SoC feature, it is not board
> >> dependent. It is the same ASIC under all circumstances and
> >> functionality does not vary with board family.
> >>
> >> This moves the enablement into the SoC file.
> >>
> >> Cc: Lee Jones <[email-masked]>
> >> Signed-off-by: Linus Walleij <[email-masked]>
> >> ---
> >>  arch/arm/boot/dts/dbx5x0.dtsi  | 4 ----
> >>  arch/arm/boot/dts/snowball.dts | 8 --------
> >>  2 files changed, 12 deletions(-)
> >>
> >> diff --git a/arch/arm/boot/dts/dbx5x0.dtsi b/arch/arm/boot/dts/dbx5x0.dtsi
> >> index f051963..cd5cd09 100644
> >> --- a/arch/arm/boot/dts/dbx5x0.dtsi
> >> +++ b/arch/arm/boot/dts/dbx5x0.dtsi
> >> @@ -760,17 +760,13 @@
> >>                       compatible = "stericsson,ux500-cryp";
> >>                       reg = <0xa03cb000 0x1000>;
> >>                       interrupts = <0 15 0x4>;
> >> -
> >
> > Why do you insist on removing all line spacings from the DTS file?
> >
> > I saw you removing them in between nodes too.
> 
> I was hit by a linespace when I was a child, since then I take
> every opportunity for revenge.

:)

> If I keep the spacing, can I have your ACK?

You can.

For reference, I like a space separating all nodes too. :)

-- 
Lee Jones
Linaro ST-Ericsson Landing Team Lead
Linaro.org ? Open source software for ARM SoCs
Follow Linaro: Facebook | Twitter | Blog